org.springframework.web.accept

## Class HeaderContentNegotiationStrategy

- java.lang.Object
- - org.springframework.web.accept.HeaderContentNegotiationStrategy

All Implemented Interfaces:
  ContentNegotiationStrategy

    public class HeaderContentNegotiationStrategy
    extends Object
    implements ContentNegotiationStrategy

A ContentNegotiationStrategy that parses the 'Accept' header of the request.

Since:
  3.2
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`HeaderContentNegotiationStrategy()`

### Method Summary

Methods
`List<MediaType>` `resolveMediaTypes(NativeWebRequest webRequest)` Resolve the given request to a list of media types.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeaderContentNegotiationStrategy

    public HeaderContentNegotiationStrategy()

### Method Detail

#### resolveMediaTypes

    public List<MediaType> resolveMediaTypes(NativeWebRequest webRequest)
                                      throws HttpMediaTypeNotAcceptableException

Resolve the given request to a list of media types. The returned list is ordered by specificity first and by quality parameter second.

Specified by:
  `resolveMediaTypes` in interface `ContentNegotiationStrategy`
Parameters:
  `webRequest` - the current request
Returns:
  the requested media types or an empty list, never `null`
Throws:
  `HttpMediaTypeNotAcceptableException` - if the 'Accept' header cannot be parsed.